12.4. Kernel Interaction During Boot
Poprzedni | Rozdział 12. The FreeBSD Booting Process | Następny

## 12.4. Kernel Interaction During Boot

Once the kernel is loaded by either loader (as usual) or boot2 (bypassing the loader), it examines its boot flags, if any, and adjusts its behavior as necessary.

### 12.4.1. Kernel Boot Flags

Here are the more common boot flags:

`-a`

  during kernel initialization, ask for the device to mount as the root file system.

`-C`

  boot from CDROM.

`-c`

  run UserConfig, the boot-time kernel configurator

`-s`

  boot into single-user mode

`-v`

  be more verbose during kernel startup

### Uwaga:

There are other boot flags, read boot(8) for more information on them.

Poprzedni | Początek rozdziału | Następny
12.3. The Boot Manager and Boot Stages | Spis treści | 12.5. Device Hints

This, and other documents, can be downloaded from http://ftp.FreeBSD.org/pub/FreeBSD/doc/

For questions about FreeBSD, read the documentation before contacting <questions@FreeBSD.org>.
For questions about this documentation, e-mail <doc@FreeBSD.org>.